
package jp.riken.brain.ni.samuraigraph.figure;

import jp.riken.brain.ni.samuraigraph.base.*;
import jp.riken.brain.ni.samuraigraph.data.*;

/**
 * xy型データ用フィギュアクラス
 */

public class SGSXYFigure extends SGFigure
{


	/**
	 *
	 */
	public SGSXYFigure()
	{
		super();
	}



	/**
	 *
	 */
	public SGSXYFigure( final SGDrawingWindow wnd )
	{
		super( wnd );
	}



	/**
	 * Add a new data.
	 * @param data a new data.
	 * @return true:secceeded, false:failed
	 */
	public boolean addData( final SGData data )
	{
		if( data instanceof SGSXYData || data instanceof SGSXYMultipleData )
		{
			super.addData( data );
			return true;
		}
		else
		{
			return false;
		}
	}


	/**
	 * 
	 */
	public String getClassType()
	{
		return "SXY";
	}


}
